be.ehealth.technicalconnector.config.impl

## Class ConfigurationImpl

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.AbstractConfigurationImpl
  - - be.ehealth.technicalconnector.config.impl.ConfigurationImpl

- All Implemented Interfaces:
    Configuration

      public final class ConfigurationImpl
      extends AbstractConfigurationImpl

  Implementation of `Configuration`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYSPROP_CONFIG_LOADING` Property to (des)activate the loading of the property file
    `static String` | `SYSPROP_MODULE_LOADING` Property to (des)activate the module loading of the configuration factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `elseToTrim(String key)`
    `boolean` | `endpointToTrim(String key)`
    `Configuration` | `getCurrentConfig()`
    `static Configuration` | `getInstance()`
    `Properties` | `getProperties()` Deprecated. internal method, could be removed in the futur
    `String` | `getProperty(String key, String defaultValue)` Gets the property by Key.
    `boolean` | `hasProperty(String key)` Checks for property.
    `void` | `invalidate()` Method to invalidate all the cached configuration.
    `boolean` | `isReloading()`
    `void` | `reload()` reloads the instance, and reloads the config modules.
    `static void` | `reset()`
    `void` | `setProperty(String key, String value)` Method to override a property at runtime.

    - ### Methods inherited from class be.ehealth.technicalconnector.config.impl.AbstractConfigurationImpl

      `containsKey, getBooleanProperty, getDurationProperty, getIntegerProperty, getLongProperty, getMatchingProperties, getProperty, getURLProperty, hasDurationProperty, hasMatchingProperty, hasMatchingProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSPROP_MODULE_LOADING

          public static final String SYSPROP_MODULE_LOADING

      Property to (des)activate the module loading of the configuration factory.

      Default value: true

      See Also:
        Constant Field Values

    - #### SYSPROP_CONFIG_LOADING

          public static final String SYSPROP_CONFIG_LOADING

      Property to (des)activate the loading of the property file
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### reset

          public static void reset()

    - #### getInstance

          public static Configuration getInstance()
                                           throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### reload

          public void reload()
                      throws TechnicalConnectorException

      reloads the instance, and reloads the config modules.
      Throws:
        `TechnicalConnectorException`

    - #### isReloading

          public boolean isReloading()

    - #### getCurrentConfig

          public Configuration getCurrentConfig()
                                         throws TechnicalConnectorException

      Returns:
        the currenct configuration;
      Throws:
        `TechnicalConnectorException`

    - #### setProperty

          public void setProperty(String key,
                                  String value)

      Description copied from interface: `Configuration`
      Method to override a property at runtime.
      Parameters:
        `key` - the key
        `value` - the value

    - #### hasProperty

          public boolean hasProperty(String key)

      Description copied from interface: `Configuration`
      Checks for property.
      Parameters:
        `key` - the key
      Returns:
        true, if successful

    - #### getProperty

          public String getProperty(String key,
                                    String defaultValue)

      Description copied from interface: `Configuration`
      Gets the property by Key.
      Parameters:
        `key` - the key
        `defaultValue` - the default value
      Returns:
        the property

    - #### endpointToTrim

          public boolean endpointToTrim(String key)

    - #### elseToTrim

          public boolean elseToTrim(String key)

    - #### getProperties

          @Deprecated
          public Properties getProperties()

      Deprecated. internal method, could be removed in the futur

    - #### invalidate

          public void invalidate()

      Description copied from interface: `Configuration`
      Method to invalidate all the cached configuration.

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.